Take the 2-minute tour ×
Server Fault is a question and answer site for professional system and network administrators. It's 100% free, no registration required.

I used this tutorial and this post to upgrade mountain lion from php 5.3 to 5.4.

Now after sym linking, when I do php -v, I get:

PHP 5.4.15 (cli) (built: May 29 2013 18:56:58) 
Copyright (c) 1997-2013 The PHP Group
Zend Engine v2.4.0, Copyright (c) 1998-2013 Zend Technologies

...which is great but when I try to run my apps, I still get php 5.3.15, which was the earlier version.

which php gives me usr/bin/php - I don't know if that's changed either!?

Is there some apache settings I need to change? How do I start running my apps on php 5.4?

share|improve this question
    
Have you restarted Apache since creating the symlink? –  j883376 May 29 '13 at 16:03
    
yes - several times –  Amit Erandole May 29 '13 at 16:04
add comment

1 Answer 1

Using this script solved my problem: http://php-osx.liip.ch/

share|improve this answer
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.